> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetSubUsers POST https://api.voximplant.com/platform_api/GetSubUsers Gets subusers. Allowed roles: `Owner`. **Example request:** Get subusers info. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/role-system/get-sub-users ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `subuser_id` (integer, optional) — The subuser's ID - `with_roles` (boolean, optional) — Whether to show subuser's roles - `offset` (integer, optional) — The first **N** records are skipped in the output - `count` (integer, optional) — The max returning record count ## Response ### 200 Successful response - `result` (list of SubUserView, optional) - `total count` (integer, optional) - `count` (integer, optional) ## Types ### SubUserView The [GetSubUsers] function result. - `subuser_id` (integer, optional) — The subuser ID - `subuser_name` (string, optional) — The subuser name, can be used as **subuser\_login** to authenticate - `description` (string, optional, nullable) — The subuser description - `roles` (list of RoleView, optional) — The subuser roles - `login` (string, optional) ### RoleView The role view. - `role_name` (string, optional) — The role name - `role_id` (integer, optional) — The role ID - `inherited` (boolean, optional) — Whether the role is inherited - `child_ids` (list of integer, optional) — Child roles IDs array - `parent_role_id` (list of integer, optional) — Parent roles IDs array - `gui_only` (boolean, optional) — Whether the role is gui only - `name` (string, optional) ## Examples **Response** ```json { "result": [ { "subuser_id": 104, "subuser_name": "test_login3", "description": null, "roles": [] }, { "subuser_id": 57, "description": "dd2", "roles": [ { "role_id": 8, "name": "UserManager" } ], "login": "test_login_2" }, { "subuser_id": 105, "description": null, "roles": [], "login": "test_login5" }, { "subuser_id": 59, "description": null, "roles": [], "login": "test_login4" } ], "total count": 4, "count": 4 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetSubUsers" headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetSubUsers'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetSubUsers" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetSubUsers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetSubUsers") .header("Authorization", "Bearer ") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetSubUsers', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetSubUsers"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetSubUsers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```